org.apache.ignite.internal.processors.cache.verify

## Class VerifyBackupPartitionsTask.VerifyBackupPartitionsJob

- java.lang.Object
- - org.apache.ignite.compute.ComputeJobAdapter
  - - org.apache.ignite.internal.processors.cache.verify.VerifyBackupPartitionsTask.VerifyBackupPartitionsJob

All Implemented Interfaces:
  Serializable, Callable<Object>, ComputeJob

Enclosing class:
  VerifyBackupPartitionsTask

    public static class VerifyBackupPartitionsTask.VerifyBackupPartitionsJob
    extends ComputeJobAdapter

See Also:
  Serialized Form

### Method Summary

All Methods Instance Methods Concrete Methods
`Map<PartitionKey,PartitionHashRecord>` `execute()` Executes this job.

### Methods inherited from class org.apache.ignite.compute.ComputeJobAdapter

`argument, arguments, call, cancel, isCancelled, setArguments`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### execute

    public Map<PartitionKey,PartitionHashRecord> execute()
                                                  throws IgniteException

Executes this job.

Returns:
  Job execution result (possibly `null`). This result will be returned in `ComputeJobResult.getData()` method passed into `ComputeTask.result(ComputeJobResult, List)` task method on caller node.
Throws:
  `IgniteException` - If job execution caused an exception. This exception will be returned in `ComputeJobResult.getException()` method passed into `ComputeTask.result(ComputeJobResult, List)` task method on caller node. If execution produces a `RuntimeException` or `Error`, then it will be wrapped into `IgniteCheckedException`.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018